Bug 146998 - PDE Releng builds fail
PDE Releng builds fail
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: eclipse-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-03 10:40 EST by Phil Muldoon
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-04 12:50:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Muldoon 2005-02-03 10:40:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
eclipse-changelog, eclipse-* plugin releng builds fail on using gcj as
in alternatives. 

Version-Release number of selected component (if applicable):
eclipse-3.0.1

How reproducible:
Always

Steps to Reproduce:
1. download eclipse-changelog.src.rpm from people.redhat.com
2. install src.rpm
3. alter spec files with needed LD_PRELOAD and -D options (found in
/usr/bin/eclipse)
4. Attempt to build rpm with gcj as alternative
5. Attempt to build rpm with jvm as alternative
    

Actual Results:  On gcj alternative, builds fails quietly. On jvm
alternative, build works

Expected Results:  Build should have built, or ant should have thrown
a build error

Additional info:
Comment 1 Phil Muldoon 2005-02-03 10:41:50 EST
changed to devel
Comment 2 Ben Konrath 2005-04-04 12:43:11 EDT
Phil, has this been resolved?
Comment 3 Phil Muldoon 2005-04-04 12:47:38 EDT
It works now as org.eclipse.osgi (eclipseAdaptor.jar) is not compiled to .so.
This was the interim fix. We still need to fix that bug. 
Comment 4 Phil Muldoon 2005-04-04 12:49:36 EDT
Actually no this is/was different, and was a GCC bug from several months back.
Closing.

Note You need to log in before you can comment on or make changes to this bug.